View Issue Details

IDProjectCategoryView StatusLast Update
0013672Tine 2.0Calendarpublic2018-02-15 15:02
ReporterbernhardAssigned Topschuele 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2017.08.10 Community Edition 
Target Version2018.02.2 Community EditionFixed in Version2017.08.11 Community Edition 
Summary0013672: Beim Wechsel der calendar Ansichten wird nur ein weisses Feld angezeigt
DescriptionWechselt man die Calendar Ansicht, z.B. von der Tagesansicht auf die Monatsansicht, dann wird kein Kalender angezeigt, dass Feld bleibt weiss. Drückt man den Refresh Button dann wird der Kalender aktualisiert.
Das passiert nur direkt nach einen Login, wechselt man später zwischen den Ansichten so wird alles richtig angezeigt.

Auch wenn man den Kalender eines anderen Benutzers aufruft passiert das gleiche! Beim Wechsel der Ansicht von z.B., Woche auf Monat wird nichts angezeigt. Erst nach einem manuellen Refresh werden die Kalender richtig angezeigt.
Steps To Reproduce1. Login
2. Wechsel der Kalenderansicht
TagsNo tags attached.
mwticket

Activities

bernhard

bernhard

2017-12-22 09:24

reporter  

Matze0811

Matze0811

2018-01-01 17:13

reporter   ~0021272

Hilft zwar nicht weiter, kann das Phänomen aber bestätigen.
koelschejung

koelschejung

2018-01-02 19:17

reporter   ~0021274

Bei mir das gleiche. Mitte Januar ist das nächste Update geplant, ist damit zu rechnen, dass dieses Problem behoben wird?
koelschejung

koelschejung

2018-01-03 16:40

reporter   ~0021278

Info: Meine Vermutung ist hier das es etwas mit der Datenbank zu tun hat. Eine Installation Code-Gleich, die ich auf die neuste Version aktualisiert habe, hat das Problem nicht, nur bei der, die ich neu eingerichtet habe und die Tabellen neu eingerichtet wurden.

Kann das sein?
bernhard

bernhard

2018-01-04 20:16

reporter   ~0021292

bei mir tritt der Fehler bei 3 installierten Instanzen auf; alle 3 sind schon länger am Laufen und wurden mehrfach aktualisiert. Ausserdem verwendet eine der beiden Instanzen Postgresql als DB, die anderen beiden verwenden Mysql. Ich kann fast nicht an ein DB Problem glauben.
Matze0811

Matze0811

2018-01-04 20:44

reporter   ~0021294

Auch bei mir ist der Fehler in einer, seit 4 Jahren bestehenden Datenbank immer reproduzierbar. Ich denke auch nicht das es sich dabei um ein DB Problem handelt.
koelschejung

koelschejung

2018-01-04 20:56

reporter   ~0021296

Von meinen beiden Installationen ist das der einzige Unterschied, den ich sehe. Beide laufen auf dem gleichen Server, der Code kommt aus den Ubuntu Repository, gleiche PHP-Version, gleiche Webserver-Config, gleiche DB-Version und Config. Beide Installationen haben die gleichen Anwendungen installiert.

Mal sehen, was die Entwickler sagen. Dieser Beitrag wurde aber leider noch nicht anerkannt oder bearbeitet, wenn ich das richtig sehe.

VG
Uli
bernhard

bernhard

2018-01-23 10:31

reporter   ~0021354

Irgendwie wäre es s chön wenn sich endlich ein Entwickler dem Thema annehmen würde. Im Bezug auf diese Thematik sind die letzten Versionen von Tine20 nicht gerade besser geworden.
koelschejung

koelschejung

2018-01-23 10:44

reporter   ~0021356

Dieses ist behoben worden. Nach dem Update funktioniert die Ansicht wieder ganz normal
estradis

estradis

2018-01-23 13:12

reporter   ~0021358

Hänge mich mit dran, weil auch wir von dem Problem betroffen sind.

Zustätzlich klappt auch die Navigation mit dem Minikalender nicht. Wird auf einen Tag geklickt, wird immer der "heutige" Tag angezeigt, wird auf eine Wochennummer geklickt, erscheint immer die Woche, welche den "heutigen" Tag enthält.

Hat sonst noch jemand das Problem?
koelschejung

koelschejung

2018-01-23 20:12

reporter   ~0021360

Welche Version hast Du installiert? in der Version 2017.08.11.1 sollte das behoben sein, bei mir ist es behoben.
bernhard

bernhard

2018-01-23 20:17

reporter   ~0021362

ist es auch. Ich habe aber erst nach meinem Post gesehen dass es eine neue Version gibt. Jetzt, am Abend habe ich die auf dem 1. server installiert und der Bug ist weg. Geanu wie bei Dir. Danke.
pschuele

pschuele

2018-02-15 15:01

administrator   ~0021424

alles klaro, dann mache ich es zu! danke fürs bescheid sagen.

Issue History

Date Modified Username Field Change
2017-12-22 09:24 bernhard New Issue
2017-12-22 09:24 bernhard File Added: Screen Shot 2017-12-22 at 09.23.57.png
2018-01-01 17:13 Matze0811 Note Added: 0021272
2018-01-02 19:17 koelschejung Note Added: 0021274
2018-01-03 16:40 koelschejung Note Added: 0021278
2018-01-04 20:16 bernhard Note Added: 0021292
2018-01-04 20:44 Matze0811 Note Added: 0021294
2018-01-04 20:56 koelschejung Note Added: 0021296
2018-01-23 10:31 bernhard Note Added: 0021354
2018-01-23 10:44 koelschejung Note Added: 0021356
2018-01-23 13:12 estradis Note Added: 0021358
2018-01-23 20:12 koelschejung Note Added: 0021360
2018-01-23 20:17 bernhard Note Added: 0021362
2018-02-15 15:01 pschuele Note Added: 0021424
2018-02-15 15:02 pschuele Target Version => 2018.02.2 Community Edition
2018-02-15 15:02 pschuele Assigned To => pschuele
2018-02-15 15:02 pschuele Status new => resolved
2018-02-15 15:02 pschuele Resolution open => fixed
2018-02-15 15:02 pschuele Fixed in Version => 2017.08.11 Community Edition